<?php
require_once('vendor/autoload.php');

$reg = new \mnshankar\LinearRegression\Regression();

//independent variables.
$x = array(
            array(1, 0, 0, 0, 0, 79, 0, 0),
            array(1, 0, 0, 0, 0, 80, 0, 0),
            array(1, 0, 0, 0, 0, 81, 0, 0),
            array(1, 0, 0, 0, 0, 82, 0, 0),
            array(1, 0, 0, 0, 0, 83, 0, 0),
            array(0, 1, 0, 0, 0, 84, 1, 0),
            array(0, 1, 0, 0, 0, 85, 1, 0),
            array(0, 1, 0, 0, 0, 86, 1, 0),
            array(0, 1, 0, 0, 0, 87, 0, 1),
            array(0, 1, 0, 0, 0, 88, 0, 1),
            array(0, 1, 0, 0, 0, 89, 0, 1),
            array(0, 1, 0, 0, 0, 90, 0, 0),
            array(0, 1, 0, 0, 0, 91, 0, 0),
            array(0, 1, 0, 0, 0, 92, 0, 0),
            array(0, 1, 0, 0, 0, 93, 0, 0),
            array(0, 1, 0, 0, 0, 94, 0, 0),
            array(0, 1, 0, 0, 0, 95, 0, 0),
            array(0, 0, 1, 0, 0, 96, 1, 0),
            array(0, 0, 1, 0, 0, 97, 1, 0),
            array(0, 0, 1, 0, 0, 98, 1, 0),
            array(0, 0, 1, 0, 0, 99, 0, 1),
            array(0, 0, 1, 0, 0, 100, 0, 1),
            array(0, 0, 1, 0, 0, 101, 0, 1),
            array(0, 0, 1, 0, 0, 102, 0, 0),
            array(0, 0, 1, 0, 0, 103, 0, 0),
            array(0, 0, 1, 0, 0, 104, 0, 0),
            array(0, 0, 1, 0, 0, 105, 0, 0),
            array(0, 0, 1, 0, 0, 106, 0, 0),
            array(0, 0, 1, 0, 0, 107, 0, 0),
            array(0, 0, 0, 1, 0, 108, 1, 0),
            array(0, 0, 0, 1, 0, 109, 1, 0),
            array(0, 0, 0, 1, 0, 110, 1, 0),
            array(0, 0, 0, 1, 0, 111, 0, 1),
            array(0, 0, 0, 1, 0, 112, 0, 1),
            array(0, 0, 0, 1, 0, 113, 0, 1),
            array(0, 0, 0, 1, 0, 114, 0, 0),
            array(0, 0, 0, 1, 0, 115, 0, 0),
            array(0, 0, 0, 1, 0, 116, 0, 0),
            array(0, 0, 0, 1, 0, 117, 0, 0),
            array(0, 0, 0, 1, 0, 118, 0, 0),
            array(0, 0, 0, 1, 0, 119, 0, 0),
            array(0, 0, 0, 0, 1, 120, 1, 0),
            array(0, 0, 0, 0, 1, 121, 1, 0),
            array(0, 0, 0, 0, 1, 122, 1, 0),
            array(0, 0, 0, 0, 1, 123, 0, 1),
            array(0, 0, 0, 0, 1, 124, 0, 1),
            array(0, 0, 0, 0, 1, 125, 0, 1),
            array(0, 0, 0, 0, 1, 126, 0, 0),
        );
//dependent variables
 $y = array(
            array(107.5),
            array(166.5),
            array(140),
            array(150.5),
            array(203),
            array(136.5),
            array(179),
            array(242.5),
            array(226),
            array(219.5),
            array(378),
            array(155.5),
            array(262),
            array(181),
            array(344),
            array(360.5),
            array(387.52),
            array(269.18),
            array(299.22),
            array(327.11),
            array(250.03),
            array(239.35),
            array(240.55),
            array(179.63),
            array(287.63),
            array(227.52),
            array(209.63),
            array(336),
            array(410.13),
            array(249.13),
            array(256.13),
            array(277.63),
            array(235.13),
            array(272.13),
            array(201.13),
            array(196.63),
            array(158.13),
            array(279.13),
            array(359.13),
            array(387.63),
            array(242.13),
            array(281.63),
            array(227.63),
            array(342.5),
            array(272.5),
            array(206),
            array(273),
            array(138)
      );
 
// $reg = new Lib_Regression();
$reg->setX($x);
$reg->setY($y);
 
//NOTE: passing true to the compute method generates standardized coefficients
$reg->Compute();    //go!
print "<pre>";
echo "SSE Scalar = <br/>";
print_r($reg->getSSEScalar());
echo "<br/><br/>";
echo "SSR Scalar = <br/>";
print_r($reg->getSSRScalar());
echo "<br/><br/>";
echo "SSTO Scalar = <br/>";
print_r($reg->getSSTOScalar());
echo "<br/><br/>";
echo "R Square = <br/>";
print_r($reg->getRSQUARE());
echo "<br/><br/>";
echo "F = <br/>";
print_r($reg->getF());
echo "<br/><br/>";
// print_r($reg->getRSQUAREPValue());
// echo "<br/><br/>";
echo "co-efficients = <br/>";
$coefficients = $reg->getCoefficients();
print_r($reg->getCoefficients());
echo "<br/><br/>";
echo "Standard Error = <br/>";
print_r($reg->getStdErrors());
echo "<br/><br/>";
echo "T Stats = <br/>";
print_r($reg->getTStats());
echo "<br/><br/>";
echo "P Values = <br/>";
print_r($reg->getPValues());
echo "<br/><br/>";
echo "=========================================";
echo (($coefficients[0] * 0) + ($coefficients[1] * 0) + ($coefficients[2] * 0) + ($coefficients[3] * 0) + ($coefficients[4] * 1) + ($coefficients[5] * 127) + ($coefficients[6] * 0) + ($coefficients[7] * 0));
?>